Subject: Re: draft-ietf-ipv6-ula-central-02.txt

From: [email-masked]
Date: Mon, 25 Jun 2007 17:36:29 -0700 (PDT)

> Depends on what level of "collision risk" you are happy with, and this 
> depends on the scenario where you are assessing that risk.
>
> [...]
>
> - a set of us pick numbers from a pool, and we compare numbers. The 
> probability that two or us have picked the same number is the case where 
>   a random draw function exceeds 0.5  after 1.24 million random draws. 
> The general solution of the probability of a collision after d draws 
> from n possible values is given by:
>
>        P = 1 - ((n!) / ((n**d)((n-d)!)))
>
> Given that the value for n here is 2.199,023,255,552, then the objective
> is to find the lowest value of d for which P is greater than or equal
> to 0.5. In this case the value for d  is some 1.24 million.
>
> i.e. if we all pick numbers and stuff them into the DNS, then by the 
> time the 1,240,000 selection had taken place the probability that a 
> collision has occurred exceeds 0.5

It's not a collision until two of those systems connect together.
-- George Mitchell

> regards,
>      Geoff

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------